Resin-wifi-connect-python error on Intel Edison


#1

Hi!

I was trying to setup the resin-wifi-connect-python example with integrated openssh-server so I modified the Dockerfile accordingly but pushing it onto an Intel Edison leads to an error when building the container:

https://gist.github.com/KemperVreden/0ad5acd8a1a24bfa5ceb5b6d87b37948

When using a different Board - Raspberry Pi 3 - the container is being build without any errors. I guess that the file mentioned in the output is not part of the base-image of Intel Edison? Which is somehow strange since I can remember having successfully build resin-wifi-connect for Intel Edison.

It’s strange that it is requesting a library for the ARM architecture - Intel Edison is x86.

EDIT: Ok I can see the error. There’s ARM “hardcoded” into the Dockerfile. Any advice how I have to change that so that it will run on x86?

here’s a link to the Dockerfile:

https://gist.github.com/KemperVreden/84f78ecc31e64786784d560698c4522b

Thanks,

Simon


#2

@simonkemper there are a couple of options:

  • Use a node base image and install python instead (if you still need it)
  • Swap out the node install code with the intel-edison section from our base images

I am a little confused as to why you’re pushing the example app to an edison as the Display-O-Tron HAT stuff will be different. If you want to use resin-wifi-connect you should probably just grab the original application :stuck_out_tongue:

Let me know if that helps or if I have misunderstood.


#3

@joe Sure that was total nonsense - I tried to combine two different Dockerfiles since I tried to add Python into a node base image. I remembered that in the resin-wifi-connect-python example this was done in the Dockerfile so I tried to copy parts of it.

I now managed it on my own after rewriting the Dockerfile.


#4

Cool, glad you got it sorted.